ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

为当前最终发行版之前的所有版本提供支持
回复
彩云之南Amy
帖子: 4
注册时间: 2013-04-06 10:44
系统: windows xp
送出感谢: 0
接收感谢: 0

ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#1

帖子 彩云之南Amy » 2013-04-11 11:06

这是界面一:
问题1.jpg
界面2
这是界面二:
问题2.jpg
界面1
期待大神的简答~
彩云之南Amy
帖子: 4
注册时间: 2013-04-06 10:44
系统: windows xp
送出感谢: 0
接收感谢: 0

Re: ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#2

帖子 彩云之南Amy » 2013-04-11 11:08

补充一点啊:
The program 'ls' is currently not installed. You can install it by typing:
sudo apt-get install coreutils
su@ubuntu:~$ ^C
su@ubuntu:~$ sudo apt-get install coreutils
[sudo] password for su:
Reading package lists... Done
Building dependency tree
Reading state information... Done
coreutils is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 488 not upgraded.
su@ubuntu:~$ ls -al
The program 'ls' is currently not installed. You can install it by typing:
sudo apt-get install coreutils
su@ubuntu:~$

大意就是:使用sudo apt-get install coreutils没有用
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#3

帖子 lainme » 2013-04-11 11:14

你把ls删了?

sudo apt-get install --reinstall coreutils

试下。
头像
qy117121
论坛版主
帖子: 49936
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 332 次
联系:

Re: ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#4

帖子 qy117121 » 2013-04-11 11:18

DeepinScrot-1736.png
DeepinScrot-1736.png (28.42 KiB) 查看 3509 次
被你删了
渠月 · QY

本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
dynamic0603
帖子: 259
注册时间: 2008-11-14 20:35
送出感谢: 0
接收感谢: 1 次

Re: ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#5

帖子 dynamic0603 » 2013-04-11 11:19

应该要logout一下吧
彩云之南Amy 写了:补充一点啊:
The program 'ls' is currently not installed. You can install it by typing:
sudo apt-get install coreutils
su@ubuntu:~$ ^C
su@ubuntu:~$ sudo apt-get install coreutils
[sudo] password for su:
Reading package lists... Done
Building dependency tree
Reading state information... Done
coreutils is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 488 not upgraded.
su@ubuntu:~$ ls -al
The program 'ls' is currently not installed. You can install it by typing:
sudo apt-get install coreutils
su@ubuntu:~$

大意就是:使用sudo apt-get install coreutils没有用
彩云之南Amy
帖子: 4
注册时间: 2013-04-06 10:44
系统: windows xp
送出感谢: 0
接收感谢: 0

Re: ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#6

帖子 彩云之南Amy » 2013-04-11 11:21

qy117121 写了:
DeepinScrot-1736.png
被你删了
嗯 好像是 谢谢~
彩云之南Amy
帖子: 4
注册时间: 2013-04-06 10:44
系统: windows xp
送出感谢: 0
接收感谢: 0

Re: ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#7

帖子 彩云之南Amy » 2013-04-11 11:22

lainme 写了:你把ls删了?

sudo apt-get install --reinstall coreutils

试下。

试过了,解决了, :em11
头像
hceasy
论坛版主
帖子: 5982
注册时间: 2010-04-17 18:51
系统: W10
送出感谢: 1 次
接收感谢: 2 次

Re: ubuntu下ls命令无法使用,哪位大神可以参透其中奥秘?

#8

帖子 hceasy » 2013-04-11 11:46

自己删了
回复

回到 “老旧版本支持”